Bug 283521 - kdesdk: Umbrello hidden/unfindable
kdesdk: Umbrello hidden/unfindable
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kdesdk (Show other bugs)
rawhide
All Linux
medium Severity low
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
: 283471 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-08 08:58 EDT by Hans de Goede
Modified: 2007-11-30 17:12 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-13 10:13:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hans de Goede 2007-09-08 08:58:30 EDT
Description of problem:
A college of mine wanted to use umbrello in our Universities labs, since the
Linux install there are Fedora he asked me about umbrello for Fedora.

Since I could NOT find it, I packaged it, see: bug 283471.

Why on earth doesn't kdesdk have a Provides umbrello so that yum install
umbrello works? Or even better an umbrello sub-package?

I don't want to install the whole of kdesdk + all crazy deps, I just want umbrello.

Also is it just me or is this tendency of both kde and gnome to bundle clearly
seperate projects a bad idea. I have no idea what version umbrello in kdesdk is
(which just shows how bad this packaging scheme is, one cannot even tell the
version), but the latest umbrello has some nice additions, like php import /
export support (which my college uses). But in order for the latest version to
be included into Fedora, we must wait for a new upstream kdesdk release, which
likely won't happen as kde3 is as good as EOL.

Sorry I'm a bit pissed about this, NOT being able to find umbrello while it
already is packaged is just plain BAD, and as you know I'm not some noob. I even
searched for in progress reviews of umbrello.

Throw in to the mix the fact that bundling packages with clearly seperate
upstreams and this all just sucks.

kdesdk should atleast have umbrello as a seperate subpackage, and preferably not
include umbrello at all, so that we don't have to wait for kdesdk4 before we can
ship a newer umbrello version.
Comment 1 Rex Dieter 2007-09-08 10:19:49 EDT
umbrello should at least be mentioned in description, so that it is findable
with 'yum search'.

Regarding bundling/packaging, that's upstream's call to make.  So, what do
umbrello's developers prefer?  It to be bundled with kdesdk, or not?  I'll see
if I can find out.  (If not, it begs the question why it was bundled with kdesdk
at all in the first place).
Comment 2 Hans de Goede 2007-09-08 10:41:18 EDT
(In reply to comment #1)
> umbrello should at least be mentioned in description, so that it is findable
> with 'yum search'.
> 

It should be both mentioned and there should be a provides so that "yum install
umbrello" will work.

> Regarding bundling/packaging, that's upstream's call to make.  So, what do
> umbrello's developers prefer?  It to be bundled with kdesdk, or not?  I'll see
> if I can find out.  (If not, it begs the question why it was bundled with kdesdk
> at all in the first place).

Thanks for talking ot upstream about this, I don't know what they prefer.
Comment 3 Kevin Kofler 2007-09-08 18:43:58 EDT
*** Bug 283471 has been marked as a duplicate of this bug. ***
Comment 4 Kevin Kofler 2007-09-08 19:00:27 EDT
> But in order for the latest version to be included into Fedora, we must wait
> for a new upstream kdesdk release, which likely won't happen as kde3 is as
> good as EOL.

Well, 1.5.71 comes out of the KDE 3.5 branch in SVN. AFAIK, there will probably 
be a 3.5.8 bugfix release, which would of course come from that branch, so the 
Umbrello update might make it into a new kdesdk.

In principle the Umbrello update could also be added as a Source1, the GNOME 
packagers have done this sort of things sometimes (e.g. for the Clearlooks 
theme).
Comment 5 Gianluca Sforna 2007-09-10 05:21:47 EDT
Sligthly off topic:

I had pretty much the same experience the first time I wanted to install
cervisia: guess what, it is in kdesdk as well...
Comment 6 Rex Dieter 2007-09-12 11:17:44 EDT
* Wed Sep 12 2007 Rex Dieter <rdieter[AT]fedoraproject.org> - 3.5.7-10
- update %%description to mention included apps
- move manpages to main pkg.
- Provides: cervisia umbrello
- kbugbuster kuiviewer: drop --add-only-show-in KDE
- kioslave/svn: --with-subversion, patch
Comment 7 Rex Dieter 2007-09-13 10:13:22 EDT
build complete, closing.

Note You need to log in before you can comment on or make changes to this bug.